#!/bin/zsh
####################################################################################
#
#               Script: FileUploader.sh
#
#               Description : Script to automatically pick up files from
#               designated folder and upload to designated URL using rspace api
#
#               Uses env to configure variables
#               Uses CONFIGFILE that has curl config settings , this can be
#               then altered to use a different config file for example different url
#               can also provide as run time parameter(not done yet)
#
#               Version : 1.0
#
#
####################################################################################
# env has 2 variables currently
#1- location of directory for files to upload
#2- curl config file to use - specifies api key , url etc
# different config file can be setup to connect to different servers, users etc
# can add switch to change as a parameter when running
source env   # read parameters
 
# get location of file for upload
# loop around on each file and upload
# check status of each upload - if success remove in uploadfile location
        for FILE in $(ls ${FILEUPLOADDIR})
        do
 
                echo uploading file ${FILE}
                echo --------------------------------------------------------
                curl -K ${CONFIGFILE}  -F "file=@${FILEUPLOADDIR}/${FILE}" \
                                       -F "caption=Automatic upload of ${FILE} from $(basename $0)"
                #check exit status - if file uploaded delete in source dir
                [[ $? -eq 0 ]] && rm -f ${FILEUPLOADDIR}/${FILE}
      done
 